package J20250717.demo01_;

/**
 * @author WanJl
 * @version 1.0
 * @title SubClass
 * @description
 * @create 2025/7/17
 */
public class SubClass extends SuperClass{
    {
        System.out.println("子类初始化代码块");
    }
    static{
        System.out.println("子类静态初始化代码块");
    }

    public SubClass() {
        System.out.println("子类无参构造方法");
    }
    public void method(){
        {
            System.out.println("子类普通方法中的局部代码块");
        }
        System.out.println("子类普通方法");
    }
}
